-- pull the vehicle distributions into a local table
local distributionTable = VehicleDistributions[1]

VehicleDistributions.MilitaryGear = {
    rolls = 4,
    items ={
        "Base.FirstAidKit", 10,
        "CorpseMale", 0.2,
        "CorpseFemale", 0.2,
        "Base.Shotgun", 2,
        "Base.Pistol", 2,
        "Radio.WalkieTalkie4",10,
        "Radio.WalkieTalkie5",1,
        "Radio.HamRadio1",5,
        "Radio.HamRadio2",1,
        "Base.BulletsBox", 10,
        "Base.Gunpowder", 3,
        "Base.ShotgunShellsBox", 8,
        "Base.223Box", 6,
        "Base.308Box", 6,
        "Base.BulletsBox", 2,
        "Base.ShotgunShellsBox", 2,
        "Base.223Box", 4,
        "Base.308Box", 4,
        "Base.HuntingKnife", 10,
        "Base.BigHikingBag", 10,
        "Base.x2Scope", 0.7,
        "Base.x4Scope", 0.5,
        "Base.x8Scope", 0.3,
        "Base.AmmoStraps", 0.7,
        "Base.Sling", 0.7,
        "Base.RecoilPad",  0.7,
        "Base.MuldraughMap", 5,
        "Base.WestpointMap", 5,
        "Base.MarchRidgeMap",5,
        "Base.RosewoodMap",5,
        "Base.RiversideMap",5,
        "Base.SmokeBomb", 5,
        "Base.EmptyPetrolCan", 1.5,
        "Base.PetrolCan", 1,
        "Base.Spanner", 2.5,
        "Base.LugWrench",2.5,
        "Base.Jack", 2.5,
        "Base.TirePump", 2.5,
        "NormalTire8",1,
        "Base.Cigarettes", 5,
    }
}
VehicleDistributions.MadmaxGear = {
    rolls = 1,
    items ={
        "ShotgunShellsBox", 80,
        "Dogfood", 100,
        "Base.Splint", 100,
    }
}


-- add a new military distributions table
VehicleDistributions.Military = {
    TruckBed = VehicleDistributions.MilitaryGear;
    TruckbedOpen = VehicleDistributions.MilitaryGear;

    SeatRearLeft = VehicleDistributions.MilitaryGear;
    SeatRearRight = VehicleDistributions.MilitaryGear;
}

VehicleDistributions.Madmax = {
    SeatRearRight = VehicleDistributions.MadmaxGear;
}


-- now setup the cars. we can just use tables for already existing cars for them:
-- dont use the corvette table for the muscle cars, as it only encludes doctors stuff
-- and things for golfers. CarNormal will give a better selection of stuff for the
-- average joe.
distributionTable["65gto"] = distributionTable["CarNormal"]
distributionTable["69charger"] = distributionTable["CarNormal"]
distributionTable["73falcon"] = distributionTable["CarNormal"]
distributionTable["77transam"] = distributionTable["CarNormal"]
distributionTable["85vicsed"] = distributionTable["CarNormal"]
distributionTable["70chevelle"] = distributionTable["CarNormal"]
distributionTable["volvo244"] = distributionTable["CarNormal"]
distributionTable["71impala"] = distributionTable["CarNormal"]
distributionTable["68wildcat"] = distributionTable["CarNormal"]
distributionTable["68wildcatconvert"] = distributionTable["CarNormal"]
distributionTable["79brougham"] = distributionTable["CarNormal"]

distributionTable["85vicwag"] = distributionTable["CarStationWagon"]
distributionTable["85vicwag2"] = distributionTable["CarStationWagon"]
distributionTable["68elcamino"] = distributionTable["CarStationWagon"]
distributionTable["70elcamino"] = distributionTable["CarStationWagon"]

distributionTable["86yugo"] = distributionTable["SmallCar"]
distributionTable["91crx"] = distributionTable["SmallCar"]
distributionTable["73pinto"] = distributionTable["SmallCar"]

-- Emergency Vehicles
distributionTable["85vicranger"] = distributionTable["PickUpVanLights0"]
distributionTable["85vicsheriff"] = distributionTable["PickUpVanLightsPolice"]
distributionTable["91blazerpd"] = distributionTable["PickUpVanLightsPolice"]
distributionTable["87c10fire"] = distributionTable["PickUpTruckLightsFire"]

-- McCoy
distributionTable["87c10mccoy"] = distributionTable["StepVan"]
distributionTable["isuzuboxmccoy"] = distributionTable["PickUpVanMccoy"]



-- Pickup Trucks
distributionTable["87c10sb"] = distributionTable["PickUpTruck"]
distributionTable["87c10lb"] = distributionTable["PickUpTruck"]
distributionTable["90ramsb"] = distributionTable["PickUpTruck"]
distributionTable["90ramlb"] = distributionTable["PickUpTruck"]
distributionTable["87c10utility"] = distributionTable["StepVan"]

distributionTable["87suburban"] = distributionTable["SUV"]
distributionTable["87blazer"] = distributionTable["SUV"]

distributionTable["astrovan"] = distributionTable["Van"]

-- Box trucks
distributionTable["moveurself"] = distributionTable["Van"]
distributionTable["isuzubox"] = distributionTable["StepVan"]
distributionTable["isuzuboxelec"] = { Normal = VehicleDistributions.Electrician; }
distributionTable["isuzuboxfood"] = { Normal = VehicleDistributions.Groceries; }

distributionTable["pursuitspecial"] = { Normal = VehicleDistributions.Madmax; }

-- use the custom military loot table for the hmmwv's
distributionTable["hmmwvht"] = { Normal = VehicleDistributions.Military; }
distributionTable["hmmwvtr"] = { Normal = VehicleDistributions.Military; }
distributionTable["m151canvas"] = { Normal = VehicleDistributions.Military; }

